<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Hello World</title>
    <link rel="stylesheet" href="./style.css" />
</head>

<body>
    <header>
        <h1>Les Bases de l'HTML et du CSS</h1>
        <nav>
            <h2>HTML</h2>
            <ul>
                <li><a href="#sec-text">Le Texte</a></li>
                <li><a href="#sec-list">Les Listes</a></li>
                <li><a href="#sec-anchor">Les Ancres</a></li>
                <li><a href="#sec-picture">Les Images</a></li>
                <li><a href="#sec-table">Les Tableaux</a></li>
                <li><a href="#sec-forms">Les Formulaires</a></li>
            </ul>
            <h2>CSS</h2>
            <ul>
                <li><a href="#sec-text-style">Text Styling</a></li>
                <li><a href="#sec-table-style">Tableaux stylisés</a></li>
                <li><a href="./positioning.html">Le Positionement</a></li>
                <li><a href="./flexboxes.html">Les Flexboxes</a></li>
                <li><a href="./grids.html">Les Grilles</a></li>
            </ul>
        </nav>
    </header>

    <main>
        <section id="sec-intro">
            <h2>Introduction</h2>
            <p>
                Ce "site web" a pour but de regrouper les exemples et les descriptions des notions vues en cours afin de faciliter leur apprentissage. N'hésitez pas à naviguer entre les notions via les liens se situant au dessus de la page.
            </p>
        </section>
        <hr>

        <section id="sec-text">
            <h2>Le Texte et sa manipulation</h2>
            <p>
                Pour écrire du texte, il est commun de le placer dans des balises de paragraphe. <span class="markup-example">p</span><span class="markup-example">/p</span>
            </p>
            <p>
                Le texte peut se mettre en <b>gras</b> avec la balise
                <span class="markup-example">strong</span><span class="markup-example">/strong</span> ou la balise
                <span class="markup-example">b</span><span class="markup-example">/b</span>
            </p>

            <p>
                Le texte peut se mettre en <i>italique</i> avec la balise
                <span class="markup-example">em</span><span class="markup-example">/em</span> ou la balise
                <span class="markup-example">i</span><span class="markup-example">/i</span>
            </p>

            <p>
                Il est possible d'isoler des morceaux de texte avec la balise
                <span class="markup-example">span</span><span class="markup-example">/span</span> C'est particulièrement utile si l'on lui donne une classe ou une id dans le but d'éffectuer des manipulations supplémentaires.
            </p>
        </section>
        <hr>

        <section id="sec-list">
            <h2>L'Utilisation des listes</h2>
            <p>
                Qu'on utilise des listes ordonnées
                <span class="markup-example">ol</span><span class="markup-example">/ol</span> ou non ordonnées
                <span class="markup-example">ul</span><span class="markup-example">/ul</span>, chaque élément de la liste doit se trouver dans un combo de balises
                <span class="markup-example">li</span><span class="markup-example">/li</span>
            </p>

            <ul>
                <li>Les listes ordonnées classiques</li>
                <ol>
                    <li>Item01</li>
                    <li>Item02</li>
                    <li>Item03</li>
                    <li>Item04</li>
                    <li>Item05</li>
                </ol>

                <li>Les listes ordonnées inversées</li>
                <ol reversed>
                    <li>Item01</li>
                    <li>Item02</li>
                    <li>Item03</li>
                    <li>Item04</li>
                    <li>Item05</li>
                </ol>

                <li>Les listes ordonnées commençant à X</li>
                <ol start="10">
                    <li>Item01</li>
                    <li>Item02</li>
                    <li>Item03</li>
                    <li>Item04</li>
                    <li>Item05</li>
                </ol>
                <li>Les listes ordonnées avec lettres majuscule</li>
                <ol type="A">
                    <li>Item01</li>
                    <li>Item02</li>
                    <li>Item03</li>
                    <li>Item04</li>
                    <li>Item05</li>
                </ol>

                <li>Les listes ordonnées avec lettres minuscule</li>
                <ol type="a">
                    <li>Item01</li>
                    <li>Item02</li>
                    <li>Item03</li>
                    <li>Item04</li>
                    <li>Item05</li>
                </ol>

                <li>Les listes ordonnées avec chiffres romaines</li>

                <ol type="I">
                    <li>Item01</li>
                    <li>Item02</li>
                    <li>Item03</li>
                    <li>Item04</li>
                    <li>Item05</li>
                </ol>

                <li>Les listes ordonnées avec chiffres romaines minuscules</li>
                <ol type="i">
                    <li>Item01</li>
                    <li>Item02</li>
                    <li>Item03</li>
                    <li>Item04</li>
                    <li>Item05</li>
                </ol>
                <li>Les listes non ordonnées</li>
                <ul>
                    <li>Item01</li>
                    <ul>
                        <li>Item01</li>
                        <li>Item02</li>
                        <li>Item03</li>
                        <li>Item04</li>
                        <li>Item05</li>
                    </ul>
                    <li>Item02</li>
                    <ul>
                        <li>Item01</li>
                        <li>Item02</li>
                        <li>Item03</li>
                        <li>Item04</li>
                        <li>Item05</li>
                    </ul>
                    <li>Item03</li>
                    <ul>
                        <li>Item01</li>
                        <li>Item02</li>
                        <li>Item03</li>
                        <li>Item04</li>
                        <li>Item05</li>
                    </ul>
                </ul>
            </ul>

        </section>
        <hr>

        <section id="sec-anchor">
            <h2>Les Ancres</h2>
            <p>
                Pour réaliser une ancre, il faut utiliser la balise
                <span class="markup-example">a</span><span class="markup-example">/a</span>

                <br> Pour spécifier l'endroit où va nous amener notre ancre, on se sert de sa propriété <b>href</b> dans laquelle on peut mettre un chemin dans la hierarchie des fichiers <a href="./index.html">ICI</a> ou vers l'extérieur <a href="http://google.fr">Aller sur google.fr</a>.
                On peut aussi naviguer dans le document <a href="#sec-intro">Remonter à l'introduction</a>

            </p>
        </section>
        <hr>

        <section id="sec-picture">
            <h2>Les Images</h2>
            On peut ajouter une image
            <span class="markup-example">img</span> présente sur notre "serveur" ou en récupérer une depuis l'extérieur via l'utilisation du protocole HTTP :

            <br>

            <img src="./img/tete_chien.webp" alt="Photo de chien" class="thumbnail-pic rounded-pic">

            <img src="https://media.wired.com/photos/598e35fb99d76447c4eb1f28/16:9/w_2123,h_1194,c_limit/phonepicutres-TA.jpg" alt="Image de randonneur" class="thumbnail-pic">

        </section>
        <hr>

        <section id="sec-table">
            <h2>La Création de Tableaux</h2>
            <p>
                Un tableau se créé via l'utilisation de la balise
                <span class="markup-example">table</span><span class="markup-example">/table</span> dans laquelle on devra mettre des lignes
                <span class="markup-example">tr</span><span class="markup-example">/tr</span> puis des cellules de données
                <span class="markup-example">td</span><span class="markup-example">/td</span> ou des
                <span class="markup-example">th</span><span class="markup-example">/th</span> pour les entêtes. Il est également possible de séparer les parties tu tableau en trois avec les balises <span class="markup-example">thead</span><span class="markup-example">/thead</span>,
                <span class="markup-example">tbody</span><span class="markup-example">/tbody</span> et <span class="markup-example">tfoot</span><span class="markup-example">/tfoot</span>

                <table class="basic-table">
                    <tr>
                        <td>01</td>
                        <td>02</td>
                        <td>03</td>
                    </tr>
                </table>

                <table class="basic-table">
                    <thead>
                        <tr>
                            <th></th>
                            <th>Col01</th>
                            <th>Col02</th>
                            <th>Col03</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <th>Line01</th>
                            <td row>Case01</td>
                            <td>Case02</td>
                            <td>Case03</td>
                        </tr>

                        <tr>
                            <th>Line02</th>
                            <td>Case04</td>
                            <td>Case05</td>
                            <td>Case06</td>
                        </tr>

                        <tr>
                            <th>Line03</th>
                            <td>Case07</td>
                            <td>Case08</td>
                            <td>Case09</td>
                        </tr>

                    </tbody>
                </table>

                <table class="basic-table">
                    <thead>
                        <tr>
                            <th></th>
                            <th>Col01</th>
                            <th>Col02</th>
                            <th>Col03</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <th>Line01</th>
                            <td rowspan="2">Case01</td>
                            <td>Case02</td>
                            <td>Case03</td>
                        </tr>

                        <tr>
                            <th>Line02</th>

                            <td colspan="2">Case05</td>
                        </tr>

                        <tr>
                            <th>Line03</th>
                            <td colspan="3">Case06</td>
                        </tr>

                    </tbody>
                    <tfoot>
                        <td colspan="3">Total</td>
                        <td>89.99</td>
                    </tfoot>
                </table>
            </p>
        </section>
        <hr>

        <section id="sec-forms">
            <h2>L'envoi d'information via des Formulaires</h2>
            <form action="mailto:text@example.com" method="POST">
                <fieldset>
                    <legend>Section A</legend>
                    <div class="form-group">
                        <label for="">Texte :</label>
                        <input type="text" placeholder="Entrez du texte ici...">
                    </div>

                    <div class="form-group">
                        <label for="">Chiffre :</label>
                        <input type="number" placeholder="Entrez un nombre ici...">
                    </div>

                    <div class="form-group">
                        <label for="">Date :</label>
                        <input type="date">
                    </div>

                    <div class="form-group">
                        <label for="">Mot de passe :</label>
                        <input type="password" placeholder="Entrez un mot de passe ici...">
                    </div>
                    <div class="form-group">
                        <label for="">Email :</label>
                        <input type="email" placeholder="Entrez un email ici...">
                    </div>
                </fieldset>

                <fieldset>
                    <legend>Section B</legend>
                    <div class="form-group">
                        <label for="">Choix simple de type OUI / NON :</label>
                        <input type="checkbox">
                    </div>

                    <div class="form-group">
                        <label for="">Choix multiple de type radio :</label>
                        <input type="radio" name="radio-example" value="0" id="radio-example-0">
                        <label for="radio-example-0">A</label>
                        <input type="radio" name="radio-example" value="1" id="radio-example-1">
                        <label for="radio-example-1">B</label>
                        <input type="radio" name="radio-example" value="2" id="radio-example-2">
                        <label for="radio-example-2">C</label>
                    </div>

                    <div class="form-group">
                        <label for="">Choix multiple de type select :</label>
                        <select name="select-example">
              <optgroup label="Option Group A">
                <option value="0">Option A</option>
                <option value="1">Option B</option>
                <option value="2">Option C</option>
              </optgroup>

              <optgroup label="Option Group B">
                <option value="3">Option D</option>
                <option value="4">Option E</option>
                <option value="5">Option F</option>
              </optgroup>

              <optgroup label="Option Group C">
                <option value="6">Option G</option>
                <option value="7">Option H</option>
                <option value="8">Option I</option>
              </optgroup>
            </select>
                    </div>

                    <div class="form-group">
                        <label for="form-textarea">Textarea :</label>
                        <br>
                        <textarea name="comment" id="form-textarea" cols="30" rows="10"></textarea>
                    </div>
                </fieldset>

                <button type="submit">Envoyer</button>
            </form>
        </section>
        <hr>

        <section id="sec-text-style">
            <h2>Styliser le texte</h2>
            <h3>Alignement : text-align</h3>
            <div class="div" class="text-container-example">
                <div id="txt-algn-lft"><strong>text-align:left : </strong> Lorem ipsum dolor sit amet consectetur adipisicing elit. Veniam corrupti explicabo ipsum adipisci, error distinctio fugiat voluptatibus? In dignissimos debitis mollitia alias hic omnis, sunt aut fugit
                    eos, recusandae harum! Inventore odit aut fugit obcaecati, quis nihil veniam temporibus, quae similique, officia ipsum animi eos recusandae quibusdam totam! Laudantium modi quos quo eaque cumque ratione. Ea quo itaque voluptas vero.</div>
                <div id="txt-algn-cnt"><strong>text-align:center : </strong> Lorem ipsum dolor sit amet consectetur adipisicing elit. Veniam corrupti explicabo ipsum adipisci, error distinctio fugiat voluptatibus? In dignissimos debitis mollitia alias hic omnis, sunt aut fugit
                    eos, recusandae harum! Inventore odit aut fugit obcaecati, quis nihil veniam temporibus, quae similique, officia ipsum animi eos recusandae quibusdam totam! Laudantium modi quos quo eaque cumque ratione. Ea quo itaque voluptas vero.</div>
                <div id="txt-algn-rgt"><strong>text-align:right : </strong> Lorem ipsum dolor sit amet consectetur adipisicing elit. Veniam corrupti explicabo ipsum adipisci, error distinctio fugiat voluptatibus? In dignissimos debitis mollitia alias hic omnis, sunt aut fugit
                    eos, recusandae harum! Inventore odit aut fugit obcaecati, quis nihil veniam temporibus, quae similique, officia ipsum animi eos recusandae quibusdam totam! Laudantium modi quos quo eaque cumque ratione. Ea quo itaque voluptas vero.</div>
                <div id="txt-algn-jst"><strong>text-align:justify : </strong> Lorem ipsum dolor sit amet consectetur adipisicing elit. Veniam corrupti explicabo ipsum adipisci, error distinctio fugiat voluptatibus? In dignissimos debitis mollitia alias hic omnis, sunt aut fugit
                    eos, recusandae harum! Inventore odit aut fugit obcaecati, quis nihil veniam temporibus, quae similique, officia ipsum animi eos recusandae quibusdam totam! Laudantium modi quos quo eaque cumque ratione. Ea quo itaque voluptas vero.</div>
            </div>

            <h3>Taille : font-size</h3>
            <div id="txt-size-small">font-size: 8px / 50% / 0.5rem</div>
            <div id="txt-size-medium">font-size: 16px / 100 % / 1rem</div>
            <div id="txt-size-big">font-size: 32px / 200% / 2rem</div>

            <h3>Police: font-family</h3>
            <div id="txt-font-01">font-family: Arial</div>
            <div id="txt-font-02">font-family: Verdana</div>
            <div id="txt-font-03">font-family: Georgia</div>

            <h3>Gras : font-weight</h3>
            <div id="txt-weight-01">font-weight: normal</div>
            <div id="txt-weight-02">font-weight: bold</div>

            <h3>Italique : font-style</h3>
            <div id="txt-style-01">font-style: normal</div>
            <div id="txt-style-02">font-style: italic</div>

            <h3>Soulignement : text-decoration</h3>
            <div id="txt-dec-01">text-decoration: none</div>
            <div id="txt-dec-02">text-decoration: underline</div>
            <div id="txt-dec-03">text-decoration: line-through</div>
            <div id="txt-dec-04">text-decoration: overline</div>

            <h3>Couleur : color</h3>
            <div id="txt-col-01">color: black</div>
            <div id="txt-col-02">color: red</div>
            <div id="txt-col-03">color: #ff5500</div>
            <div id="txt-col-04">color: rgb(120, 120, 255)</div>
            <div id="txt-col-05">color: rgba(120, 120, 255, 0.8)</div>
        </section>

        <section id="sec-table-style">
            <h2>Styliser les tableaux</h2>
            <table id="table-style-example">
                <thead>
                    <tr>
                        <th>Nom</th>
                        <th>Catégorie</th>
                        <th>Quantité</th>
                        <th>Prix</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>Pomme</td>
                        <td>Fruit</td>
                        <td>1</td>
                        <td>1.29</td>
                    </tr>
                    <tr>
                        <td>iPhone</td>
                        <td>Electronique</td>
                        <td>1</td>
                        <td>1299</td>
                    </tr>
                    <tr>
                        <td>Stylos</td>
                        <td>Bureau</td>
                        <td>1</td>
                        <td>3.49</td>
                    </tr>
                </tbody>
                <tfoot>
                    <td colspan="3">Total</td>
                    <td>1303.78</td>
                </tfoot>
            </table>
        </section>
    </main>

    <footer></footer>
</body>

</html>